Package picard.sam.SamErrorMetric

## Class ReadBaseStratification.IndelsInReadStratifier

- java.lang.Object
- - picard.sam.SamErrorMetric.ReadBaseStratification.IndelsInReadStratifier

- All Implemented Interfaces:
    `ReadBaseStratification.RecordAndOffsetStratifier<Integer>`
  Enclosing class:
    ReadBaseStratification

      public static class ReadBaseStratification.IndelsInReadStratifier
      extends Object

  Stratifies according to the number of indel bases (from CIGAR string) that the read has.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IndelsInReadStratifier()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getSuffix()` |
    `Integer` | `stratify​(htsjdk.samtools.SAMRecord samRecord)` | Returns the number of bases associated with I and D CIGAR elements.
    `T` | `stratify​(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusInfo)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndelsInReadStratifier

          public IndelsInReadStratifier()

  - ### Method Detail

    - #### stratify

          public Integer stratify​(htsjdk.samtools.SAMRecord samRecord)

      Returns the number of bases associated with I and D CIGAR elements.
      Parameters:
        `samRecord` - The read to investigate
      Returns:
        The number of bases associated with I and D CIGAR elements, or null if the evaluation of either operation caused an error

    - #### getSuffix

          public String getSuffix()

    - #### stratify

          public T stratify​(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset,
                            htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusInfo)

      Specified by:
        `stratify` in interface `ReadBaseStratification.RecordAndOffsetStratifier<T extends Comparable<T>>`